---
title: MySqlAttribute
---

# MySqlAttribute class

[`MySqlAttribute`](../MySqlAttributeType/) represents an attribute that can be sent with a MySQL query.

```csharp
public sealed class MySqlAttribute
```

## Public Members

| name | description |
| --- | --- |
| [MySqlAttribute](../MySqlAttribute/MySqlAttribute/)() | Initializes a new [`MySqlAttribute`](../MySqlAttributeType/). |
| [MySqlAttribute](../MySqlAttribute/MySqlAttribute/)(…) | Initializes a new [`MySqlAttribute`](../MySqlAttributeType/) with the specified attribute name and value. |
| [AttributeName](../MySqlAttribute/AttributeName/) { get; set; } | Gets or sets the attribute name. |
| [Value](../MySqlAttribute/Value/) { get; set; } | Gets or sets the attribute value. |

## Remarks

See [Query Attributes](https://dev.mysql.com/doc/refman/8.0/en/query-attributes.html) for information on using query attributes.

## See Also

* namespace [MySqlConnector](../../MySqlConnectorNamespace/)
* assembly [MySqlConnector](../../MySqlConnectorAssembly/)

<!-- DO NOT EDIT: generated by xmldocmd for MySqlConnector.dll -->
